import { CacheData, MobxCache } from 'cbioportal-utils';
import _ from 'lodash';
export declare abstract class DefaultStringQueryCache<D> implements MobxCache<D, string> {
    protected _cache: import("mobx").ObservableMap<string, CacheData<any>>;
    constructor();
    get(query: string): CacheData<any> | null;
    abstract fetch(query: string): Promise<D>;
    get cache(): _.Dictionary<CacheData<any>>;
}
