import request from 'superagent';
import { DefaultStringQueryCache } from './DefaultStringQueryCache';
export declare function fetchMutationAlignerLink(pfamDomainId: string, mutationAlignerUrlTemplate?: string): request.SuperAgentRequest;
export declare class MutationAlignerCache extends DefaultStringQueryCache<string> {
    private mutationAlignerUrlTemplate?;
    constructor(mutationAlignerUrlTemplate?: string | undefined);
    fetch(pfamAccession: string): Promise<string>;
}
