import * as React from 'react';
import { ICivicEntry } from 'cbioportal-utils';
export interface ICivicProps {
    civicEntry: ICivicEntry | null | undefined;
    civicStatus: 'pending' | 'error' | 'complete';
    hasCivicVariants: boolean;
}
export declare function hideArrow(tooltipEl: any): void;
export declare function sortValue(civicEntry: ICivicEntry | null | undefined): number;
export declare function download(civicEntry: ICivicEntry | null | undefined): string;
export default class Civic extends React.Component<ICivicProps, {}> {
    tooltipDataLoadComplete: boolean;
    constructor(props: ICivicProps);
    render(): JSX.Element;
    private cardContent;
}
