import * as React from 'react';
import { Mutation, RemoteData } from 'cbioportal-utils';
import { VariantAnnotation } from 'genome-nexus-ts-api-client';
declare type HgvscProps = {
    mutation: Mutation;
    indexedVariantAnnotations?: RemoteData<{
        [genomicLocation: string]: VariantAnnotation;
    } | undefined>;
    selectedTranscriptId?: string;
};
export declare function download(hgvsc?: string | null): string;
export declare function sortValue(hgvsc?: string | null): number | null;
export declare function hgvscSortMethod(a: string | null, b: string | null): number;
export default class Hgvsc extends React.Component<HgvscProps, {}> {
    get hgvsc(): string | null;
    render(): JSX.Element;
}
export {};
