import { Mutation } from 'cbioportal-utils';
import * as React from 'react';
declare type HgvsgProps = {
    mutation: Mutation;
    constructHref?: (hgvsg: string) => string;
    constructLink?: (hgvsg: string, content: JSX.Element, href?: string) => JSX.Element;
    mainContent?: (hgvsg?: string) => JSX.Element;
    tooltipContent?: (hgvsg?: string) => JSX.Element;
    disableTooltip?: boolean;
};
export declare function hgvsgSortMethod(a: string, b: string): number;
export default class Hgvsg extends React.Component<HgvsgProps, {}> {
    static defaultProps: Partial<HgvsgProps>;
    get hgvsg(): string | undefined;
    render(): JSX.Element;
}
export {};
