import { Mutation, RemoteData } from 'cbioportal-utils';
import { MyVariantInfo, VariantAnnotation } from 'genome-nexus-ts-api-client';
export declare type MyVariantInfoProps = {
    mutation?: Mutation;
    indexedVariantAnnotations?: RemoteData<{
        [genomicLocation: string]: VariantAnnotation;
    } | undefined>;
    indexedMyVariantInfoAnnotations?: RemoteData<{
        [genomicLocation: string]: MyVariantInfo;
    } | undefined>;
    className?: string;
};
export declare function renderMyVariantInfoContent(props: MyVariantInfoProps, getContent: (myVariantInfo?: MyVariantInfo, variantAnnotation?: VariantAnnotation) => JSX.Element): JSX.Element;
export declare function getMyVariantInfoData(mutation?: Mutation, indexedMyVariantInfoAnnotations?: RemoteData<{
    [genomicLocation: string]: MyVariantInfo;
} | undefined>): MyVariantInfo | undefined;
