import * as React from 'react';
interface ISearchBoxProps {
    onChange?: (input: string) => void;
    filterInputRef?: (input: HTMLInputElement) => void;
    placeholder?: string;
    searchIconClassName?: string;
    boxHeight?: number;
}
export declare class SearchBox extends React.Component<ISearchBoxProps> {
    static defaultProps: {
        placeholder: string;
        searchIconClassName: string;
        boxHeight: number;
    };
    render(): JSX.Element;
    private onChange;
}
export default SearchBox;
