import { ProteinImpactType } from 'cbioportal-frontend-commons';
import * as React from 'react';
import { IProteinImpactTypeColors } from '../../model/ProteinImpact';
import { DropdownSelectorProps } from './DropdownSelector';
export declare type ProteinImpactTypeDropdownSelectorProps = DropdownSelectorProps & {
    colors: IProteinImpactTypeColors;
};
export declare class ProteinImpactTypeDropdownSelector extends React.Component<ProteinImpactTypeDropdownSelectorProps, {}> {
    constructor(props: any);
    static defaultProps: Partial<ProteinImpactTypeDropdownSelectorProps>;
    protected get optionDisplayValueMap(): {
        [proteinImpactType: string]: JSX.Element;
    };
    protected get proteinImpactTypeColors(): {
        [proteinImpactType: string]: string;
    };
    protected get options(): {
        value: ProteinImpactType;
        label: JSX.Element;
    }[];
    render(): JSX.Element;
}
export default ProteinImpactTypeDropdownSelector;
