import * as React from 'react';
import { DomainSpec } from '../../model/DomainSpec';
declare type DomainProps = {
    x: number;
    y: number;
    width: number;
    height: number;
    color: string;
    label?: string;
    labelColor?: string;
    hitzoneClassName?: string;
    spec: DomainSpec;
};
export default class Domain extends React.Component<DomainProps, {}> {
    private textElt;
    private isMounted;
    private handlers;
    constructor(props: DomainProps);
    get hitRect(): {
        x: number;
        y: number;
        width: number;
        height: number;
    };
    private get centerX();
    private get centerY();
    componentDidMount(): void;
    private get displayText();
    private makeTextElement;
    render(): JSX.Element;
}
export {};
