import * as React from 'react';
import { LollipopLabel, LollipopSpec } from '../../model/LollipopSpec';
declare type LollipopProps = {
    x: number;
    stickBaseY: number;
    stickHeight: number;
    headRadius: number;
    hoverHeadRadius: number;
    headColor?: string;
    stickColor?: string;
    label?: LollipopLabel;
    hitzoneClassName?: string;
    spec: LollipopSpec;
};
export default class Lollipop extends React.Component<LollipopProps, {}> {
    constructor(props: any);
    isHovered: boolean;
    private get headRadius();
    private get circleX();
    private get circleY();
    private get textY();
    get circleHitRect(): {
        x: number;
        y: number;
        width: number;
        height: number;
    };
    render(): JSX.Element;
}
export {};
