import * as React from 'react';
import MutationMapperStore from '../../model/MutationMapperStore';
import { TrackProps } from './Track';
import { TrackItemSpec } from './TrackItem';
import { Mutation } from 'cbioportal-utils';
declare type OncoKbTrackProps = TrackProps & {
    store: MutationMapperStore<Mutation>;
};
export declare function getOncoKbImage(): JSX.Element;
export default class OncoKbTrack extends React.Component<OncoKbTrackProps, {}> {
    constructor(props: any);
    get oncoKbSpecs(): TrackItemSpec[];
    get trackTitle(): JSX.Element;
    render(): JSX.Element;
}
export {};
