import * as React from 'react';
import { Mutation } from 'cbioportal-utils';
import { IndicatorQueryResp } from 'oncokb-ts-api-client';
declare type OncoKbTrackTooltipProps = {
    usingPublicOncoKbInstance: boolean;
    mutations: Mutation[];
    indicatorData?: IndicatorQueryResp[];
    hugoGeneSymbol?: string;
};
export declare function oncoKbTooltip(usingPublicOncoKbInstance: boolean, indicatorData: IndicatorQueryResp[]): JSX.Element;
export declare function generateLevelData(indicatorData: IndicatorQueryResp[]): {
    level: string;
    tumorTypes: string[];
}[];
export declare const OncoKbTrackTooltip: React.FunctionComponent<OncoKbTrackTooltipProps>;
export {};
