export declare function getExpectedCivicEntry(): {
    name: string;
    description: string;
    url: string;
    variants: {
        E545K: {
            id: number;
            name: string;
            geneId: number;
            description: string;
            url: string;
            evidenceCounts: {
                Prognostic: number;
                Predictive: number;
            };
            evidences: never[];
        };
    };
};
export declare function getExpectedCnaCivicEntry(): {
    name: string;
    description: string;
    url: string;
    variants: {
        RAF1: {
            id: number;
            name: string;
            geneId: number;
            description: string;
            url: string;
            evidenceCounts: {
                Predictive: number;
            };
            evidences: never[];
        };
    };
};
