import { Clinvar, VariantAnnotation } from 'genome-nexus-ts-api-client';
import * as React from 'react';
import { Mutation, RemoteData } from 'cbioportal-utils';
declare type ClinvarInterpretationProps = {
    mutation: Mutation;
    indexedVariantAnnotations?: RemoteData<{
        [genomicLocation: string]: VariantAnnotation;
    } | undefined>;
};
export declare function download(clinvar?: Clinvar): string;
export declare function sortValue(clinvar?: Clinvar): string | null;
export declare function clinvarSortMethod(a: Clinvar, b: Clinvar): number;
export default class ClinvarInterpretation extends React.Component<ClinvarInterpretationProps, {}> {
    render(): JSX.Element;
}
export {};
