import { Option } from 'cbioportal-frontend-commons';
import * as React from 'react';
export declare type ColumnVisibilityDef = {
    id: string;
    name: string;
    visible: boolean;
    togglable?: boolean;
};
export declare type ColumnSelectorProps = {
    name?: string;
    placeholder?: string;
    columnVisibility?: ColumnVisibilityDef[];
    onColumnToggled?: (selectedColumnIds: string[]) => void;
    showControls?: boolean;
};
export declare class ColumnSelector extends React.Component<ColumnSelectorProps, {}> {
    static defaultProps: Partial<ColumnSelectorProps>;
    constructor(props: ColumnSelectorProps);
    get selectedValues(): {
        value: string;
    }[];
    get options(): Option[];
    render(): JSX.Element;
    private onChange;
}
export default ColumnSelector;
