import * as React from 'react';
import { ColumnSelectorProps, ColumnVisibilityDef } from './ColumnSelector';
declare type DataTableToolbarProps = {
    showColumnVisibility?: boolean;
    visibilityToggle?: (selectedColumnIds: string[]) => void;
    columnVisibility?: ColumnVisibilityDef[];
    columnSelectorProps?: ColumnSelectorProps;
    showSearchBox?: boolean;
    onSearch?: (searchText: string) => void;
    filterInputRef?: (input: HTMLInputElement) => void;
    searchDelay?: number;
    searchPlaceHolder?: string;
    info?: JSX.Element;
};
export declare class DataTableToolbar extends React.Component<DataTableToolbarProps, {}> {
    static defaultProps: Partial<DataTableToolbarProps>;
    protected get searchBoxMargin(): 5 | "auto";
    render(): JSX.Element;
}
export default DataTableToolbar;
