import * as React from 'react';
import { CSSProperties } from 'react';
export declare type BadgeLabelProps = {
    label: JSX.Element | string;
    badgeContent?: number | string;
    badgeStyleOverride?: CSSProperties;
    badgeClassName?: string;
    badgeFirst?: boolean;
    value?: string;
    isDriverAnnotated?: boolean;
    badgeLabelFormat?: (label: JSX.Element | string, badgeFirst?: boolean, value?: string, badge?: JSX.Element | null) => JSX.Element;
};
export declare const DEFAULT_BADGE_STYLE: {
    color: string;
    backgroundColor: string;
    borderStyle: string;
    borderWidth: string;
};
export declare class BadgeLabel extends React.Component<BadgeLabelProps, {}> {
    static defaultProps: Partial<BadgeLabelProps>;
    protected get badge(): JSX.Element | null;
    protected get badgeFirst(): JSX.Element;
    protected get badgeLast(): JSX.Element;
    render(): JSX.Element;
}
export default BadgeLabel;
