import { MyVariantInfo, VariantAnnotation } from 'genome-nexus-ts-api-client';
import * as React from 'react';
import { GnomadSummary } from '../../model/GnomadSummary';
export declare type GnomadFrequencyProps = {
    myVariantInfo?: MyVariantInfo;
    annotation?: VariantAnnotation;
};
export declare const GnomadFrequencyValue: React.FunctionComponent<{
    gnomadData?: {
        [key: string]: GnomadSummary;
    };
}>;
export declare const GnomadFrequencyBreakdown: React.FunctionComponent<GnomadFrequencyProps & {
    gnomadData?: {
        [key: string]: GnomadSummary;
    };
    hideDisclaimer?: boolean;
}>;
export default class GnomadFrequency extends React.Component<GnomadFrequencyProps, {}> {
    render(): JSX.Element;
}
