import * as React from 'react';
import { RowInfo } from 'react-table';
import { GnomadSummary } from '../../model/GnomadSummary';
import './gnomadFrequencyTable.scss';
export interface IGnomadFrequencyTableProps {
    data: GnomadSummary[];
    gnomadUrl: string;
    hideDisclaimer?: boolean;
}
export declare function frequencyOutput(frequency: number): JSX.Element;
export default class GnomadFrequencyTable extends React.Component<IGnomadFrequencyTableProps, {}> {
    render(): JSX.Element;
    protected getTrProps(state: any, row?: RowInfo): {
        style: {
            fontWeight: string | undefined;
        };
    };
}
