import * as React from 'react';
interface IAxisScaleSwitchProps {
    onChange: (selectedScale: AxisScale) => void;
    selectedScale: AxisScale;
}
export declare enum AxisScale {
    PERCENT = "%",
    COUNT = "#"
}
export declare class AxisScaleSwitch extends React.Component<IAxisScaleSwitchProps, {}> {
    static defaultProps: Partial<IAxisScaleSwitchProps>;
    private selectedScale;
    constructor(props: IAxisScaleSwitchProps);
    toggleButton(scale: AxisScale, onClick: () => void): JSX.Element;
    render(): JSX.Element;
    private handlePercentClick;
    private handleCountClick;
}
export {};
