import { PfamDomain, PfamDomainRange } from 'genome-nexus-ts-api-client';
import { MobxCache } from 'cbioportal-utils';
export interface IDomainTooltipProps {
    mutationAlignerCache?: MobxCache<string>;
    range: PfamDomainRange;
    domain: PfamDomain | undefined;
    pfamDomainId: string;
}
declare const DomainTooltip: (props: IDomainTooltipProps) => JSX.Element;
export default DomainTooltip;
