import * as React from 'react';
import { SequenceSpec } from '../../model/SequenceSpec';
declare type SequenceProps = {
    x: number;
    y: number;
    width: number;
    height: number;
    color?: string;
    hitzoneClassName?: string;
    spec?: SequenceSpec;
};
export default class Sequence extends React.Component<SequenceProps, {}> {
    isMounted: boolean;
    constructor(props: SequenceProps);
    get hitRect(): {
        x: number;
        y: number;
        width: number;
        height: number;
    };
    componentDidMount(): void;
    render(): JSX.Element;
}
export {};
