import { IHotspotIndex, Mutation } from 'cbioportal-utils';
import { Hotspot } from 'genome-nexus-ts-api-client';
import * as React from 'react';
import MutationMapperStore from '../../model/MutationMapperStore';
import { TrackProps } from './Track';
import { TrackItemSpec } from './TrackItem';
declare type HotspotTrackProps = TrackProps & {
    store: MutationMapperStore<Mutation>;
    hotspotIndex: IHotspotIndex;
};
export declare function hotspotTooltip(mutations: Mutation[], hotspotIndex: IHotspotIndex, hotspots: Hotspot[]): JSX.Element;
export declare function getHotspotImage(): JSX.Element;
export default class HotspotTrack extends React.Component<HotspotTrackProps, {}> {
    constructor(props: any);
    get hotspotSpecs(): TrackItemSpec[];
    get trackTitle(): JSX.Element;
    render(): JSX.Element;
}
export {};
