import * as React from 'react';
declare type TrackCircleProps = {
    x: number;
    y: number;
    radius?: number;
    isHovered: boolean;
    hoverRadius?: number;
    hitZoneClassName?: string;
    hitZoneXOffset?: number;
    spec: TrackCircleSpec;
};
export declare type TrackCircleSpec = {
    startCodon: number;
    label?: string;
    color?: string;
    tooltip?: JSX.Element;
};
export default class TrackCircle extends React.Component<TrackCircleProps, {}> {
    constructor(props: any);
    static defaultProps: {
        radius: number;
        hoverRadius: number;
    };
    get circleRadius(): number | undefined;
    render(): JSX.Element;
}
export {};
