import * as React from 'react';
declare type TrackItemProps = {
    x: number;
    y: number;
    dim1: number;
    dim2?: number;
    hoverdim1?: number;
    hitZoneClassName?: string;
    hitZoneXOffset?: number;
    spec: TrackItemSpec;
};
export declare enum TrackItemType {
    CIRCLE = 0,
    RECTANGLE = 1
}
export declare type TrackItemSpec = {
    startCodon: number;
    endCodon?: number;
    itemType?: TrackItemType;
    label?: string;
    color?: string;
    tooltip?: JSX.Element;
    height?: number;
};
export default class TrackItem extends React.Component<TrackItemProps> {
    constructor(props: any);
    isHovered: boolean;
    get hitRectangle(): {
        x: number;
        y: number;
        width: number;
        height: number;
    };
    render(): JSX.Element;
}
export {};
