import * as React from 'react';
declare type TrackRectProps = {
    x: number;
    y: number;
    width?: number;
    height?: number;
    isHovered: boolean;
    hitZoneClassName?: string;
    hitZoneXOffset?: number;
    spec: TrackRectSpec;
};
export declare type TrackRectSpec = {
    startCodon: number;
    endCodon?: number;
    label?: string;
    labelColor?: string;
    color?: string;
    tooltip?: JSX.Element;
};
export default class TrackRect extends React.Component<TrackRectProps, {}> {
    private textElt;
    private handlers;
    constructor(props: any);
    static defaultProps: {
        width: number;
        height: number;
    };
    private get centerX();
    private get centerY();
    private makeTextElement;
    get strokeWidth(): 2 | 0.5;
    get strokeColor(): "#666666" | "#BABDB6";
    render(): JSX.Element;
}
export {};
