export declare enum LollipopPlacement {
    TOP = 0,
    BOTTOM = 1
}
export declare type LollipopSpec = {
    codon: number;
    count: number;
    group?: string;
    placement?: LollipopPlacement;
    label?: LollipopLabel;
    color?: string;
    tooltip?: JSX.Element;
};
export declare type LollipopLabel = {
    text: string;
    textAnchor?: string;
    fontSize?: number;
    fontFamily?: string;
    show: boolean;
};
