import { Mutation } from 'cbioportal-utils';
import { PfamDomainRange } from 'genome-nexus-ts-api-client';
import { LollipopSpec } from '../model/LollipopSpec';
export declare function lollipopLabelText(mutationsAtPosition: Mutation[], size?: number): string;
export declare function lollipopLabelTextAnchor(labelText: string, codon: number, fontFamily: string, fontSize: number, geneWidth: number, proteinLength: number): string;
export declare function calcYMaxInput(yMaxInput: number | undefined, yMaxStep: number, countRange: number[], oppositeCountRange: number[], yAxisSameScale?: boolean): number;
export declare function getCommonYAxisMaxSliderValue(yMaxStep: number, countRange: number[], oppositeCountRange: number[], yMaxInput?: number): number;
export declare function getYAxisMaxSliderValue(yMaxStep: number, countRange: number[], yMaxInput?: number): number;
export declare function getYAxisMaxInputValue(yMaxStep: number, input: string): number;
export declare function calcCountRange(lollipops: LollipopSpec[], defaultMax?: number, defaultMin?: number): [number, number];
export declare function byMiddlemostPosition(averageCodon: number): (x: LollipopSpec, y: LollipopSpec) => 1 | -1 | 0;
export declare function byWhetherExistsInADomain(remainingDomains: PfamDomainRange[]): (x: LollipopSpec, y: LollipopSpec) => 0 | 1 | -1;
export declare function byMutationCount(x: LollipopSpec, y: LollipopSpec): number;
