import { CanonicalMutationType } from 'cbioportal-frontend-commons';
import { Mutation } from 'cbioportal-utils';
import { IProteinImpactTypeColors } from '../model/ProteinImpact';
export declare const DEFAULT_PROTEIN_IMPACT_TYPE_COLORS: IProteinImpactTypeColors;
export declare const MUTATION_TYPE_PRIORITY: {
    [canonicalMutationType: string]: number;
};
export declare function mutationTypeSort(typeA: CanonicalMutationType, typeB: CanonicalMutationType): number;
export declare function getColorForProteinImpactType<T extends Mutation>(mutations: Partial<T>[], colors?: IProteinImpactTypeColors, getMutationCount?: (mutation: Partial<T>) => number, isPutativeDriver?: (mutation: Partial<T>) => boolean): string;
